## csvimp 0.4.7

=== Makefile ===
#############################################################################
# Makefile for building: csvimp
# Generated by qmake (2.01a) (Qt 4.6.2) on: Thu Dec 6 13:57:41 2012
# Project:  csvimp.pro
# Template: subdirs
# Command: /usr/bin/qmake -spec /usr/local/Qt4.6/mkspecs/macx-g++ -macx -o Makefile csvimp.pro
#############################################################################

first: make_default
MAKEFILE      = Makefile
QMAKE         = /usr/bin/qmake
DEL_FILE      = rm -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
COPY          = cp -f
COPY_FILE     = cp -f
COPY_DIR      = cp -f -R
INSTALL_FILE  = $(COPY_FILE)
INSTALL_PROGRAM = $(COPY_FILE)
INSTALL_DIR   = $(COPY_DIR)
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
SUBTARGETS    =  \
		sub-plugin \
		sub-application

plugin/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) plugin/ || $(MKDIR) plugin/ 
	cd plugin/ && $(QMAKE) /Users/ghartnett/src/csvimp047/plugin/plugin.pro -spec /usr/local/Qt4.6/mkspecs/macx-g++ -macx -o $(MAKEFILE)
sub-plugin-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) plugin/ || $(MKDIR) plugin/ 
	cd plugin/ && $(QMAKE) /Users/ghartnett/src/csvimp047/plugin/plugin.pro -spec /usr/local/Qt4.6/mkspecs/macx-g++ -macx -o $(MAKEFILE)
sub-plugin: plugin/$(MAKEFILE) FORCE
	cd plugin/ && $(MAKE) -f $(MAKEFILE)
sub-plugin-make_default: plugin/$(MAKEFILE) FORCE
	cd plugin/ && $(MAKE) -f $(MAKEFILE) 
sub-plugin-make_first: plugin/$(MAKEFILE) FORCE
	cd plugin/ && $(MAKE) -f $(MAKEFILE) first
sub-plugin-all: plugin/$(MAKEFILE) FORCE
	cd plugin/ && $(MAKE) -f $(MAKEFILE) all
sub-plugin-clean: plugin/$(MAKEFILE) FORCE
	cd plugin/ && $(MAKE) -f $(MAKEFILE) clean
sub-plugin-distclean: plugin/$(MAKEFILE) FORCE
	cd plugin/ && $(MAKE) -f $(MAKEFILE) distclean
sub-plugin-install_subtargets: plugin/$(MAKEFILE) FORCE
	cd plugin/ && $(MAKE) -f $(MAKEFILE) install
sub-plugin-uninstall_subtargets: plugin/$(MAKEFILE) FORCE
	cd plugin/ && $(MAKE) -f $(MAKEFILE) uninstall
application/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) application/ || $(MKDIR) application/ 
	cd application/ && $(QMAKE) /Users/ghartnett/src/csvimp047/application/application.pro -spec /usr/local/Qt4.6/mkspecs/macx-g++ -macx -o $(MAKEFILE)
sub-application-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) application/ || $(MKDIR) application/ 
	cd application/ && $(QMAKE) /Users/ghartnett/src/csvimp047/application/application.pro -spec /usr/local/Qt4.6/mkspecs/macx-g++ -macx -o $(MAKEFILE)
sub-application: application/$(MAKEFILE) FORCE
	cd application/ && $(MAKE) -f $(MAKEFILE)
sub-application-make_default: application/$(MAKEFILE) FORCE
	cd application/ && $(MAKE) -f $(MAKEFILE) 
sub-application-make_first: application/$(MAKEFILE) FORCE
	cd application/ && $(MAKE) -f $(MAKEFILE) first
sub-application-all: application/$(MAKEFILE) FORCE
	cd application/ && $(MAKE) -f $(MAKEFILE) all
sub-application-clean: application/$(MAKEFILE) FORCE
	cd application/ && $(MAKE) -f $(MAKEFILE) clean
sub-application-distclean: application/$(MAKEFILE) FORCE
	cd application/ && $(MAKE) -f $(MAKEFILE) distclean
sub-application-install_subtargets: application/$(MAKEFILE) FORCE
	cd application/ && $(MAKE) -f $(MAKEFILE) install
sub-application-uninstall_subtargets: application/$(MAKEFILE) FORCE
	cd application/ && $(MAKE) -f $(MAKEFILE) uninstall

Makefile: csvimp.pro  /usr/local/Qt4.6/mkspecs/macx-g++/qmake.conf /usr/local/Qt4.6/mkspecs/common/unix.conf \
		/usr/local/Qt4.6/mkspecs/common/mac.conf \
		/usr/local/Qt4.6/mkspecs/common/mac-g++.conf \
		/usr/local/Qt4.6/mkspecs/qconfig.pri \
		/usr/local/Qt4.6/mkspecs/features/qt_functions.prf \
		/usr/local/Qt4.6/mkspecs/features/qt_config.prf \
		/usr/local/Qt4.6/mkspecs/features/exclusive_builds.prf \
		/usr/local/Qt4.6/mkspecs/features/default_pre.prf \
		/usr/local/Qt4.6/mkspecs/features/mac/default_pre.prf \
		/usr/local/Qt4.6/mkspecs/features/mac/dwarf2.prf \
		/usr/local/Qt4.6/mkspecs/features/debug.prf \
		/usr/local/Qt4.6/mkspecs/features/default_post.prf \
		/usr/local/Qt4.6/mkspecs/features/mac/default_post.prf \
		/usr/local/Qt4.6/mkspecs/features/mac/x86.prf \
		/usr/local/Qt4.6/mkspecs/features/mac/objective_c.prf \
		/usr/local/Qt4.6/mkspecs/features/warn_on.prf \
		/usr/local/Qt4.6/mkspecs/features/qt.prf \
		/usr/local/Qt4.6/mkspecs/features/unix/thread.prf \
		/usr/local/Qt4.6/mkspecs/features/moc.prf \
		/usr/local/Qt4.6/mkspecs/features/mac/rez.prf \
		/usr/local/Qt4.6/mkspecs/features/mac/sdk.prf \
		/usr/local/Qt4.6/mkspecs/features/resources.prf \
		/usr/local/Qt4.6/mkspecs/features/uic.prf \
		/usr/local/Qt4.6/mkspecs/features/yacc.prf \
		/usr/local/Qt4.6/mkspecs/features/lex.prf \
		/usr/local/Qt4.6/mkspecs/features/include_source_dir.prf
	$(QMAKE) -spec /usr/local/Qt4.6/mkspecs/macx-g++ -macx -o Makefile csvimp.pro
/usr/local/Qt4.6/mkspecs/common/unix.conf:
/usr/local/Qt4.6/mkspecs/common/mac.conf:
/usr/local/Qt4.6/mkspecs/common/mac-g++.conf:
/usr/local/Qt4.6/mkspecs/qconfig.pri:
/usr/local/Qt4.6/mkspecs/features/qt_functions.prf:
/usr/local/Qt4.6/mkspecs/features/qt_config.prf:
/usr/local/Qt4.6/mkspecs/features/exclusive_builds.prf:
/usr/local/Qt4.6/mkspecs/features/default_pre.prf:
/usr/local/Qt4.6/mkspecs/features/mac/default_pre.prf:
/usr/local/Qt4.6/mkspecs/features/mac/dwarf2.prf:
/usr/local/Qt4.6/mkspecs/features/debug.prf:
/usr/local/Qt4.6/mkspecs/features/default_post.prf:
/usr/local/Qt4.6/mkspecs/features/mac/default_post.prf:
/usr/local/Qt4.6/mkspecs/features/mac/x86.prf:
/usr/local/Qt4.6/mkspecs/features/mac/objective_c.prf:
/usr/local/Qt4.6/mkspecs/features/warn_on.prf:
/usr/local/Qt4.6/mkspecs/features/qt.prf:
/usr/local/Qt4.6/mkspecs/features/unix/thread.prf:
/usr/local/Qt4.6/mkspecs/features/moc.prf:
/usr/local/Qt4.6/mkspecs/features/mac/rez.prf:
/usr/local/Qt4.6/mkspecs/features/mac/sdk.prf:
/usr/local/Qt4.6/mkspecs/features/resources.prf:
/usr/local/Qt4.6/mkspecs/features/uic.prf:
/usr/local/Qt4.6/mkspecs/features/yacc.prf:
/usr/local/Qt4.6/mkspecs/features/lex.prf:
/usr/local/Qt4.6/mkspecs/features/include_source_dir.prf:
qmake: qmake_all FORCE
	@$(QMAKE) -spec /usr/local/Qt4.6/mkspecs/macx-g++ -macx -o Makefile csvimp.pro

qmake_all: sub-plugin-qmake_all sub-application-qmake_all FORCE

make_default: sub-plugin-make_default sub-application-make_default FORCE
make_first: sub-plugin-make_first sub-application-make_first FORCE
all: sub-plugin-all sub-application-all FORCE
clean: sub-plugin-clean sub-application-clean FORCE
distclean: sub-plugin-distclean sub-application-distclean FORCE
	-$(DEL_FILE) Makefile
install_subtargets: sub-plugin-install_subtargets sub-application-install_subtargets FORCE
uninstall_subtargets: sub-plugin-uninstall_subtargets sub-application-uninstall_subtargets FORCE

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all
install: install_subtargets  FORCE

uninstall:  uninstall_subtargets FORCE

FORCE:
