=== application/Makefile ===
#############################################################################
# Makefile for building: ../csvimp.app/Contents/MacOS/csvimp
# Generated by qmake (2.01a) (Qt 4.6.2) on: Thu Dec 6 13:57:41 2012
# Project:  application.pro
# Template: app
# Command: /usr/bin/qmake -spec /usr/local/Qt4.6/mkspecs/macx-g++ -macx -o Makefile application.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_NO_DEBUG -DQT_SQL_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O2 -arch i386 -Wall -W $(DEFINES)
CXXFLAGS      = -pipe -O2 -arch i386 -Wall -W $(DEFINES)
INCPATH       = -I/usr/local/Qt4.6/mkspecs/macx-g++ -I. -I/Library/Frameworks/QtCore.framework/Versions/4/Headers -I/usr/include/QtCore -I/Library/Frameworks/QtGui.framework/Versions/4/Headers -I/usr/include/QtGui -I/Library/Frameworks/QtSql.framework/Versions/4/Headers -I/usr/include/QtSql -I/usr/include -I../csvimpcommon -I../csvimpcommon/images -I../plugin -I../../openrpt/common -I../../openrpt/MetaSQL -Itmp -F/Library/Frameworks
LINK          = g++
LFLAGS        = -headerpad_max_install_names -arch i386
LIBS          = $(SUBLIBS) -F/Library/Frameworks -L/Library/Frameworks -L../../openrpt/lib -lcommon -lMetaSQL -framework QtSql -framework QtGui -framework QtCore 
AR            = ar cq
RANLIB        = ranlib -s
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = cp -f
COPY_DIR      = cp -f -R
STRIP         = 
INSTALL_FILE  = $(COPY_FILE)
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = $(COPY_FILE)
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
export MACOSX_DEPLOYMENT_TARGET = 10.4

####### Output directory

OBJECTS_DIR   = tmp/

####### Files

SOURCES       = main.cpp \
		../csvimpcommon/csvimpdata.cpp qrc_csvimp.cpp
OBJECTS       = tmp/main.o \
		tmp/csvimpdata.o \
		tmp/qrc_csvimp.o
DIST          = /usr/local/Qt4.6/mkspecs/common/unix.conf \
		/usr/local/Qt4.6/mkspecs/common/mac.conf \
		/usr/local/Qt4.6/mkspecs/common/mac-g++.conf \
		/usr/local/Qt4.6/mkspecs/qconfig.pri \
		/usr/local/Qt4.6/mkspecs/features/qt_functions.prf \
		/usr/local/Qt4.6/mkspecs/features/qt_config.prf \
		/usr/local/Qt4.6/mkspecs/features/exclusive_builds.prf \
		/usr/local/Qt4.6/mkspecs/features/default_pre.prf \
		/usr/local/Qt4.6/mkspecs/features/mac/default_pre.prf \
		../global.pri \
		/usr/local/Qt4.6/mkspecs/features/release.prf \
		/usr/local/Qt4.6/mkspecs/features/default_post.prf \
		/usr/local/Qt4.6/mkspecs/features/mac/default_post.prf \
		/usr/local/Qt4.6/mkspecs/features/mac/x86.prf \
		/usr/local/Qt4.6/mkspecs/features/mac/objective_c.prf \
		/usr/local/Qt4.6/mkspecs/features/warn_on.prf \
		/usr/local/Qt4.6/mkspecs/features/qt.prf \
		/usr/local/Qt4.6/mkspecs/features/unix/thread.prf \
		/usr/local/Qt4.6/mkspecs/features/moc.prf \
		/usr/local/Qt4.6/mkspecs/features/mac/rez.prf \
		/usr/local/Qt4.6/mkspecs/features/mac/sdk.prf \
		/usr/local/Qt4.6/mkspecs/features/resources.prf \
		/usr/local/Qt4.6/mkspecs/features/uic.prf \
		/usr/local/Qt4.6/mkspecs/features/yacc.prf \
		/usr/local/Qt4.6/mkspecs/features/lex.prf \
		application.pro
QMAKE_TARGET  = csvimp
DESTDIR       = ../
TARGET        = ../csvimp.app/Contents/MacOS/csvimp

####### Custom Compiler Variables
QMAKE_COMP_QMAKE_OBJECTIVE_CFLAGS = -pipe \
		-O2 \
		-arch \
		i386 \
		-Wall \
		-W


first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile ../csvimp.app/Contents/PkgInfo ../csvimp.app/Contents/Resources/empty.lproj ../csvimp.app/Contents/Info.plist ../csvimp.app/Contents/Resources/icons.icns $(TARGET)

$(TARGET): ../../openrpt/lib/libcommon.a ../../openrpt/lib/libMetaSQL.a $(OBJECTS)  
	@$(CHK_DIR_EXISTS) ../csvimp.app/Contents/MacOS/ || $(MKDIR) ../csvimp.app/Contents/MacOS/ 
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: application.pro  /usr/local/Qt4.6/mkspecs/macx-g++/qmake.conf /usr/local/Qt4.6/mkspecs/common/unix.conf \
		/usr/local/Qt4.6/mkspecs/common/mac.conf \
		/usr/local/Qt4.6/mkspecs/common/mac-g++.conf \
		/usr/local/Qt4.6/mkspecs/qconfig.pri \
		/usr/local/Qt4.6/mkspecs/features/qt_functions.prf \
		/usr/local/Qt4.6/mkspecs/features/qt_config.prf \
		/usr/local/Qt4.6/mkspecs/features/exclusive_builds.prf \
		/usr/local/Qt4.6/mkspecs/features/default_pre.prf \
		/usr/local/Qt4.6/mkspecs/features/mac/default_pre.prf \
		../global.pri \
		/usr/local/Qt4.6/mkspecs/features/release.prf \
		/usr/local/Qt4.6/mkspecs/features/default_post.prf \
		/usr/local/Qt4.6/mkspecs/features/mac/default_post.prf \
		/usr/local/Qt4.6/mkspecs/features/mac/x86.prf \
		/usr/local/Qt4.6/mkspecs/features/mac/objective_c.prf \
		/usr/local/Qt4.6/mkspecs/features/warn_on.prf \
		/usr/local/Qt4.6/mkspecs/features/qt.prf \
		/usr/local/Qt4.6/mkspecs/features/unix/thread.prf \
		/usr/local/Qt4.6/mkspecs/features/moc.prf \
		/usr/local/Qt4.6/mkspecs/features/mac/rez.prf \
		/usr/local/Qt4.6/mkspecs/features/mac/sdk.prf \
		/usr/local/Qt4.6/mkspecs/features/resources.prf \
		/usr/local/Qt4.6/mkspecs/features/uic.prf \
		/usr/local/Qt4.6/mkspecs/features/yacc.prf \
		/usr/local/Qt4.6/mkspecs/features/lex.prf \
		/Library/Frameworks/QtSql.framework/QtSql.prl \
		/Library/Frameworks/QtCore.framework/QtCore.prl \
		/Library/Frameworks/QtGui.framework/QtGui.prl
	$(QMAKE) -spec /usr/local/Qt4.6/mkspecs/macx-g++ -macx -o Makefile application.pro
/usr/local/Qt4.6/mkspecs/common/unix.conf:
/usr/local/Qt4.6/mkspecs/common/mac.conf:
/usr/local/Qt4.6/mkspecs/common/mac-g++.conf:
/usr/local/Qt4.6/mkspecs/qconfig.pri:
/usr/local/Qt4.6/mkspecs/features/qt_functions.prf:
/usr/local/Qt4.6/mkspecs/features/qt_config.prf:
/usr/local/Qt4.6/mkspecs/features/exclusive_builds.prf:
/usr/local/Qt4.6/mkspecs/features/default_pre.prf:
/usr/local/Qt4.6/mkspecs/features/mac/default_pre.prf:
../global.pri:
/usr/local/Qt4.6/mkspecs/features/release.prf:
/usr/local/Qt4.6/mkspecs/features/default_post.prf:
/usr/local/Qt4.6/mkspecs/features/mac/default_post.prf:
/usr/local/Qt4.6/mkspecs/features/mac/x86.prf:
/usr/local/Qt4.6/mkspecs/features/mac/objective_c.prf:
/usr/local/Qt4.6/mkspecs/features/warn_on.prf:
/usr/local/Qt4.6/mkspecs/features/qt.prf:
/usr/local/Qt4.6/mkspecs/features/unix/thread.prf:
/usr/local/Qt4.6/mkspecs/features/moc.prf:
/usr/local/Qt4.6/mkspecs/features/mac/rez.prf:
/usr/local/Qt4.6/mkspecs/features/mac/sdk.prf:
/usr/local/Qt4.6/mkspecs/features/resources.prf:
/usr/local/Qt4.6/mkspecs/features/uic.prf:
/usr/local/Qt4.6/mkspecs/features/yacc.prf:
/usr/local/Qt4.6/mkspecs/features/lex.prf:
/Library/Frameworks/QtSql.framework/QtSql.prl:
/Library/Frameworks/QtCore.framework/QtCore.prl:
/Library/Frameworks/QtGui.framework/QtGui.prl:
qmake:  FORCE
	@$(QMAKE) -spec /usr/local/Qt4.6/mkspecs/macx-g++ -macx -o Makefile application.pro

../csvimp.app/Contents/PkgInfo: 
	@$(CHK_DIR_EXISTS) ../csvimp.app/Contents || $(MKDIR) ../csvimp.app/Contents 
	@$(DEL_FILE) ../csvimp.app/Contents/PkgInfo
	@echo "APPL????" >../csvimp.app/Contents/PkgInfo
../csvimp.app/Contents/Resources/empty.lproj: 
	@$(CHK_DIR_EXISTS) ../csvimp.app/Contents/Resources || $(MKDIR) ../csvimp.app/Contents/Resources 
	@touch ../csvimp.app/Contents/Resources/empty.lproj
	
../csvimp.app/Contents/Info.plist: 
	@$(CHK_DIR_EXISTS) ../csvimp.app/Contents || $(MKDIR) ../csvimp.app/Contents 
	@$(DEL_FILE) ../csvimp.app/Contents/Info.plist
	@sed -e "s,@ICON@,icons.icns,g" -e "s,@EXECUTABLE@,csvimp,g" -e "s,@TYPEINFO@,????,g" Info.plist >../csvimp.app/Contents/Info.plist
../csvimp.app/Contents/Resources/icons.icns: ../csvimpcommon/images/icons.icns
	@$(CHK_DIR_EXISTS) ../csvimp.app/Contents/Resources/ || $(MKDIR) ../csvimp.app/Contents/Resources/ 
	@$(DEL_FILE) ../csvimp.app/Contents/Resources/icons.icns
	@$(COPY_FILE) ../csvimpcommon/images/icons.icns ../csvimp.app/Contents/Resources/icons.icns
dist: 
	@$(CHK_DIR_EXISTS) tmp/csvimp1.0.0 || $(MKDIR) tmp/csvimp1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) tmp/csvimp1.0.0/ && $(COPY_FILE) --parents ../csvimpcommon/csvimpdata.h ../csvimpcommon/csvimpplugininterface.h tmp/csvimp1.0.0/ && $(COPY_FILE) --parents ../csvimpcommon/csvimp.qrc tmp/csvimp1.0.0/ && $(COPY_FILE) --parents main.cpp ../csvimpcommon/csvimpdata.cpp tmp/csvimp1.0.0/ && (cd `dirname tmp/csvimp1.0.0` && $(TAR) csvimp1.0.0.tar csvimp1.0.0 && $(COMPRESS) csvimp1.0.0.tar) && $(MOVE) `dirname tmp/csvimp1.0.0`/csvimp1.0.0.tar.gz . && $(DEL_FILE) -r tmp/csvimp1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) -r ../csvimp.app
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_objective_c_make_all:
compiler_objective_c_clean:
compiler_moc_header_make_all:
compiler_moc_header_clean:
compiler_rcc_make_all: qrc_csvimp.cpp
compiler_rcc_clean:
	-$(DEL_FILE) qrc_csvimp.cpp
qrc_csvimp.cpp: ../csvimpcommon/csvimp.qrc \
		../csvimpcommon/images/splashCSVimp.png \
		../csvimpcommon/images/CSVimpIcon-32x32.png
	/Developer/Tools/Qt/rcc -name csvimp ../csvimpcommon/csvimp.qrc -o qrc_csvimp.cpp

compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_rez_source_make_all:
compiler_rez_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_rcc_clean 

####### Compile

tmp/main.o: main.cpp ../../openrpt/common/xsqlquery.h \
		../../openrpt/common/dbtools.h \
		../../openrpt/common/login.h \
		../../openrpt/common/parameter.h \
		../../openrpt/common/tmp/ui_login.h \
		../csvimpcommon/csvimpdata.h \
		../csvimpcommon/csvimpplugininterface.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o tmp/main.o main.cpp

tmp/csvimpdata.o: ../csvimpcommon/csvimpdata.cpp ../csvimpcommon/csvimpdata.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o tmp/csvimpdata.o ../csvimpcommon/csvimpdata.cpp

tmp/qrc_csvimp.o: qrc_csvimp.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o tmp/qrc_csvimp.o qrc_csvimp.cpp

####### Install

install:   FORCE

uninstall:   FORCE

FORCE:
