=== plugin/Makefile ===
#############################################################################
# Makefile for building: libcsvimpplugin.dylib
# Generated by qmake (2.01a) (Qt 4.6.2) on: Thu Dec 6 13:57:40 2012
# Project:  plugin.pro
# Template: lib
# Command: /usr/bin/qmake -spec /usr/local/Qt4.6/mkspecs/macx-g++ -macx -o Makefile plugin.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_NO_DEBUG -DQT_PLUGIN -DQT_SQL_LIB -DQT_XMLPATTERNS_LIB -DQT_XML_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O2 -arch i386 -Wall -W -fPIC $(DEFINES)
CXXFLAGS      = -pipe -O2 -arch i386 -Wall -W -fPIC $(DEFINES)
INCPATH       = -I/usr/local/Qt4.6/mkspecs/macx-g++ -I. -I/Library/Frameworks/QtCore.framework/Versions/4/Headers -I/usr/include/QtCore -I/Library/Frameworks/QtGui.framework/Versions/4/Headers -I/usr/include/QtGui -I/Library/Frameworks/QtXml.framework/Versions/4/Headers -I/usr/include/QtXml -I/Library/Frameworks/QtXmlPatterns.framework/Versions/4/Headers -I/usr/include/QtXmlPatterns -I/Library/Frameworks/QtSql.framework/Versions/4/Headers -I/usr/include/QtSql -I/usr/include -I../csvimpcommon -I../csvimpcommon/images -I../../openrpt/common -I../../openrpt/MetaSQL -Itmp -Itmp -F/Library/Frameworks
LINK          = g++
LFLAGS        = -headerpad_max_install_names -arch i386 -single_module -dynamiclib
LIBS          = $(SUBLIBS) -F/Library/Frameworks -L/Library/Frameworks -L../../openrpt/lib -lcommon -lMetaSQL -framework QtSql -framework QtXmlPatterns -framework QtNetwork -framework QtXml -framework QtGui -framework QtCore 
AR            = ar cq
RANLIB        = ranlib -s
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = cp -f
COPY_DIR      = cp -f -R
STRIP         = 
INSTALL_FILE  = $(COPY_FILE)
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = $(COPY_FILE)
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
export MACOSX_DEPLOYMENT_TARGET = 10.4

####### Output directory

OBJECTS_DIR   = tmp/

####### Files

SOURCES       = batchmessagehandler.cpp \
		csvaddmapinputdialog.cpp \
		csvimpplugin.cpp \
		csvatlas.cpp \
		csvatlaswindow.cpp \
		csvdata.cpp \
		csvmap.cpp \
		csvtoolwindow.cpp \
		interactivemessagehandler.cpp \
		logwindow.cpp \
		missingfield.cpp \
		rowcontroller.cpp \
		xabstractmessagehandler.cpp \
		../csvimpcommon/csvimpdata.cpp tmp/moc_batchmessagehandler.cpp \
		tmp/moc_csvaddmapinputdialog.cpp \
		tmp/moc_csvimpplugin.cpp \
		tmp/moc_csvatlaswindow.cpp \
		tmp/moc_csvdata.cpp \
		tmp/moc_csvtoolwindow.cpp \
		tmp/moc_interactivemessagehandler.cpp \
		tmp/moc_logwindow.cpp \
		tmp/moc_missingfield.cpp \
		tmp/moc_rowcontroller.cpp \
		tmp/moc_xabstractmessagehandler.cpp \
		qrc_csvimp.cpp
OBJECTS       = tmp/batchmessagehandler.o \
		tmp/csvaddmapinputdialog.o \
		tmp/csvimpplugin.o \
		tmp/csvatlas.o \
		tmp/csvatlaswindow.o \
		tmp/csvdata.o \
		tmp/csvmap.o \
		tmp/csvtoolwindow.o \
		tmp/interactivemessagehandler.o \
		tmp/logwindow.o \
		tmp/missingfield.o \
		tmp/rowcontroller.o \
		tmp/xabstractmessagehandler.o \
		tmp/csvimpdata.o \
		tmp/moc_batchmessagehandler.o \
		tmp/moc_csvaddmapinputdialog.o \
		tmp/moc_csvimpplugin.o \
		tmp/moc_csvatlaswindow.o \
		tmp/moc_csvdata.o \
		tmp/moc_csvtoolwindow.o \
		tmp/moc_interactivemessagehandler.o \
		tmp/moc_logwindow.o \
		tmp/moc_missingfield.o \
		tmp/moc_rowcontroller.o \
		tmp/moc_xabstractmessagehandler.o \
		tmp/qrc_csvimp.o
DIST          = /usr/local/Qt4.6/mkspecs/common/unix.conf \
		/usr/local/Qt4.6/mkspecs/common/mac.conf \
		/usr/local/Qt4.6/mkspecs/common/mac-g++.conf \
		/usr/local/Qt4.6/mkspecs/qconfig.pri \
		/usr/local/Qt4.6/mkspecs/features/qt_functions.prf \
		/usr/local/Qt4.6/mkspecs/features/qt_config.prf \
		/usr/local/Qt4.6/mkspecs/features/exclusive_builds.prf \
		/usr/local/Qt4.6/mkspecs/features/default_pre.prf \
		/usr/local/Qt4.6/mkspecs/features/mac/default_pre.prf \
		../global.pri \
		/usr/local/Qt4.6/mkspecs/features/release.prf \
		/usr/local/Qt4.6/mkspecs/features/default_post.prf \
		/usr/local/Qt4.6/mkspecs/features/mac/default_post.prf \
		/usr/local/Qt4.6/mkspecs/features/mac/x86.prf \
		/usr/local/Qt4.6/mkspecs/features/mac/objective_c.prf \
		/usr/local/Qt4.6/mkspecs/features/warn_on.prf \
		/usr/local/Qt4.6/mkspecs/features/qt.prf \
		/usr/local/Qt4.6/mkspecs/features/unix/thread.prf \
		/usr/local/Qt4.6/mkspecs/features/moc.prf \
		/usr/local/Qt4.6/mkspecs/features/mac/rez.prf \
		/usr/local/Qt4.6/mkspecs/features/mac/sdk.prf \
		/usr/local/Qt4.6/mkspecs/features/resources.prf \
		/usr/local/Qt4.6/mkspecs/features/uic.prf \
		/usr/local/Qt4.6/mkspecs/features/yacc.prf \
		/usr/local/Qt4.6/mkspecs/features/lex.prf \
		plugin.pro
QMAKE_TARGET  = csvimpplugin
DESTDIR       = ../plugins/
TARGET        = libcsvimpplugin.dylib
TARGETD       = libcsvimpplugin.dylib

####### Custom Compiler Variables
QMAKE_COMP_QMAKE_OBJECTIVE_CFLAGS = -pipe \
		-O2 \
		-arch \
		i386 \
		-Wall \
		-W


first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile  ../plugins/$(TARGET)

../plugins/$(TARGET): ../../openrpt/lib/libcommon.a ../../openrpt/lib/libMetaSQL.a tmp/ui_csvaddmapinputdialog.h tmp/ui_csvatlaswindow.h tmp/ui_csvimportprogress.h tmp/ui_csvtoolwindow.h tmp/ui_logwindow.h tmp/ui_missingfield.h $(OBJECTS) $(SUBLIBS) $(OBJCOMP)  
	@$(CHK_DIR_EXISTS) ../plugins/ || $(MKDIR) ../plugins/ 
	-$(DEL_FILE) $(TARGET)
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(LIBS) $(OBJCOMP)
	-$(MOVE) $(TARGET) ../plugins/



Makefile: plugin.pro  /usr/local/Qt4.6/mkspecs/macx-g++/qmake.conf /usr/local/Qt4.6/mkspecs/common/unix.conf \
		/usr/local/Qt4.6/mkspecs/common/mac.conf \
		/usr/local/Qt4.6/mkspecs/common/mac-g++.conf \
		/usr/local/Qt4.6/mkspecs/qconfig.pri \
		/usr/local/Qt4.6/mkspecs/features/qt_functions.prf \
		/usr/local/Qt4.6/mkspecs/features/qt_config.prf \
		/usr/local/Qt4.6/mkspecs/features/exclusive_builds.prf \
		/usr/local/Qt4.6/mkspecs/features/default_pre.prf \
		/usr/local/Qt4.6/mkspecs/features/mac/default_pre.prf \
		../global.pri \
		/usr/local/Qt4.6/mkspecs/features/release.prf \
		/usr/local/Qt4.6/mkspecs/features/default_post.prf \
		/usr/local/Qt4.6/mkspecs/features/mac/default_post.prf \
		/usr/local/Qt4.6/mkspecs/features/mac/x86.prf \
		/usr/local/Qt4.6/mkspecs/features/mac/objective_c.prf \
		/usr/local/Qt4.6/mkspecs/features/warn_on.prf \
		/usr/local/Qt4.6/mkspecs/features/qt.prf \
		/usr/local/Qt4.6/mkspecs/features/unix/thread.prf \
		/usr/local/Qt4.6/mkspecs/features/moc.prf \
		/usr/local/Qt4.6/mkspecs/features/mac/rez.prf \
		/usr/local/Qt4.6/mkspecs/features/mac/sdk.prf \
		/usr/local/Qt4.6/mkspecs/features/resources.prf \
		/usr/local/Qt4.6/mkspecs/features/uic.prf \
		/usr/local/Qt4.6/mkspecs/features/yacc.prf \
		/usr/local/Qt4.6/mkspecs/features/lex.prf \
		/Library/Frameworks/QtSql.framework/QtSql.prl \
		/Library/Frameworks/QtCore.framework/QtCore.prl \
		/Library/Frameworks/QtXmlPatterns.framework/QtXmlPatterns.prl \
		/Library/Frameworks/QtNetwork.framework/QtNetwork.prl \
		/Library/Frameworks/QtXml.framework/QtXml.prl \
		/Library/Frameworks/QtGui.framework/QtGui.prl
	$(QMAKE) -spec /usr/local/Qt4.6/mkspecs/macx-g++ -macx -o Makefile plugin.pro
/usr/local/Qt4.6/mkspecs/common/unix.conf:
/usr/local/Qt4.6/mkspecs/common/mac.conf:
/usr/local/Qt4.6/mkspecs/common/mac-g++.conf:
/usr/local/Qt4.6/mkspecs/qconfig.pri:
/usr/local/Qt4.6/mkspecs/features/qt_functions.prf:
/usr/local/Qt4.6/mkspecs/features/qt_config.prf:
/usr/local/Qt4.6/mkspecs/features/exclusive_builds.prf:
/usr/local/Qt4.6/mkspecs/features/default_pre.prf:
/usr/local/Qt4.6/mkspecs/features/mac/default_pre.prf:
../global.pri:
/usr/local/Qt4.6/mkspecs/features/release.prf:
/usr/local/Qt4.6/mkspecs/features/default_post.prf:
/usr/local/Qt4.6/mkspecs/features/mac/default_post.prf:
/usr/local/Qt4.6/mkspecs/features/mac/x86.prf:
/usr/local/Qt4.6/mkspecs/features/mac/objective_c.prf:
/usr/local/Qt4.6/mkspecs/features/warn_on.prf:
/usr/local/Qt4.6/mkspecs/features/qt.prf:
/usr/local/Qt4.6/mkspecs/features/unix/thread.prf:
/usr/local/Qt4.6/mkspecs/features/moc.prf:
/usr/local/Qt4.6/mkspecs/features/mac/rez.prf:
/usr/local/Qt4.6/mkspecs/features/mac/sdk.prf:
/usr/local/Qt4.6/mkspecs/features/resources.prf:
/usr/local/Qt4.6/mkspecs/features/uic.prf:
/usr/local/Qt4.6/mkspecs/features/yacc.prf:
/usr/local/Qt4.6/mkspecs/features/lex.prf:
/Library/Frameworks/QtSql.framework/QtSql.prl:
/Library/Frameworks/QtCore.framework/QtCore.prl:
/Library/Frameworks/QtXmlPatterns.framework/QtXmlPatterns.prl:
/Library/Frameworks/QtNetwork.framework/QtNetwork.prl:
/Library/Frameworks/QtXml.framework/QtXml.prl:
/Library/Frameworks/QtGui.framework/QtGui.prl:
qmake:  FORCE
	@$(QMAKE) -spec /usr/local/Qt4.6/mkspecs/macx-g++ -macx -o Makefile plugin.pro

dist: 
	@$(CHK_DIR_EXISTS) tmp/csvimpplugin1.0.0 || $(MKDIR) tmp/csvimpplugin1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) tmp/csvimpplugin1.0.0/ && $(COPY_FILE) --parents batchmessagehandler.h csvaddmapinputdialog.h csvimpplugin.h csvatlas.h csvatlaswindow.h csvdata.h csvmap.h csvtoolwindow.h interactivemessagehandler.h logwindow.h missingfield.h rowcontroller.h xabstractmessagehandler.h ../csvimpcommon/csvimpdata.h ../csvimpcommon/csvimpplugininterface.h tmp/csvimpplugin1.0.0/ && $(COPY_FILE) --parents ../csvimpcommon/csvimp.qrc tmp/csvimpplugin1.0.0/ && $(COPY_FILE) --parents batchmessagehandler.cpp csvaddmapinputdialog.cpp csvimpplugin.cpp csvatlas.cpp csvatlaswindow.cpp csvdata.cpp csvmap.cpp csvtoolwindow.cpp interactivemessagehandler.cpp logwindow.cpp missingfield.cpp rowcontroller.cpp xabstractmessagehandler.cpp ../csvimpcommon/csvimpdata.cpp tmp/csvimpplugin1.0.0/ && $(COPY_FILE) --parents csvaddmapinputdialog.ui csvatlaswindow.ui csvimportprogress.ui csvtoolwindow.ui logwindow.ui missingfield.ui tmp/csvimpplugin1.0.0/ && (cd `dirname tmp/csvimpplugin1.0.0` && $(TAR) csvimpplugin1.0.0.tar csvimpplugin1.0.0 && $(COMPRESS) csvimpplugin1.0.0.tar) && $(MOVE) `dirname tmp/csvimpplugin1.0.0`/csvimpplugin1.0.0.tar.gz . && $(DEL_FILE) -r tmp/csvimpplugin1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_objective_c_make_all:
compiler_objective_c_clean:
compiler_moc_header_make_all: tmp/moc_batchmessagehandler.cpp tmp/moc_csvaddmapinputdialog.cpp tmp/moc_csvimpplugin.cpp tmp/moc_csvatlaswindow.cpp tmp/moc_csvdata.cpp tmp/moc_csvtoolwindow.cpp tmp/moc_interactivemessagehandler.cpp tmp/moc_logwindow.cpp tmp/moc_missingfield.cpp tmp/moc_rowcontroller.cpp tmp/moc_xabstractmessagehandler.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) tmp/moc_batchmessagehandler.cpp tmp/moc_csvaddmapinputdialog.cpp tmp/moc_csvimpplugin.cpp tmp/moc_csvatlaswindow.cpp tmp/moc_csvdata.cpp tmp/moc_csvtoolwindow.cpp tmp/moc_interactivemessagehandler.cpp tmp/moc_logwindow.cpp tmp/moc_missingfield.cpp tmp/moc_rowcontroller.cpp tmp/moc_xabstractmessagehandler.cpp
tmp/moc_batchmessagehandler.cpp: xabstractmessagehandler.h \
		batchmessagehandler.h
	/Developer/Tools/Qt/moc $(DEFINES) $(INCPATH) -D__APPLE__ -D__GNUC__ batchmessagehandler.h -o tmp/moc_batchmessagehandler.cpp

tmp/moc_csvaddmapinputdialog.cpp: tmp/ui_csvaddmapinputdialog.h \
		csvaddmapinputdialog.h
