=== debian/changelog ===
csvimp (0.4.7-2) unstable; urgency=low

  * Make clean less fragile

 -- Daniel Pocock <daniel@pocock.com.au>  Sun, 22 Sep 2013 09:23:46 +0200

csvimp (0.4.7-1) unstable; urgency=low

  * Initial release. (Closes: #723654)

 -- Daniel Pocock <daniel@pocock.com.au>  Wed, 18 Sep 2013 17:10:54 +0200
