## csvimp 0.5.0

=== debian/changelog ===
csvimp (0.5.0-2) unstable; urgency=medium

  * Minor fixes.

 -- Daniel Pocock <daniel@pocock.pro>  Sat, 18 Oct 2014 20:14:24 +0200

csvimp (0.5.0-1) unstable; urgency=medium

  * Update for latest upstream code.

 -- Daniel Pocock <daniel@pocock.pro>  Sat, 18 Oct 2014 16:49:46 +0200
