=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: misc
 Priority: optional
 Maintainer: Debian xTuple Maintainers <pkg-xtuple-maintainers@lists.alioth.debian.org>
-Uploaders: Daniel Pocock <daniel@pocock.com.au>
-Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), libqt4-dev (>= 4.1.0), libopenrpt-dev
-Standards-Version: 3.9.4
+Uploaders: Daniel Pocock <daniel@pocock.pro>
+Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), libqt4-dev (>= 4.1.0), libopenrpt-dev (>= 3.3.7)
+Standards-Version: 3.9.6
 Homepage: http://www.xtuple.org/DataImportTool
-Vcs-Git: git://git.debian.org/collab-maint/csvimp.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/csvimp.git;a=summary
+Vcs-Git: git://anonscm.debian.org/collab-maint/csvimp.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/csvimp.git
 
 Package: csvimp
 Architecture: any
