## csvimp 0.5.1

=== debian/changelog ===
csvimp (0.5.1-2) unstable; urgency=medium

  * Update VCS fields to continue using alioth

 -- Daniel Pocock <daniel@pocock.pro>  Mon, 07 Sep 2015 09:53:31 +0200

csvimp (0.5.1-1) unstable; urgency=medium

  * New upstream release.

 -- Daniel Pocock <daniel@pocock.pro>  Thu, 03 Sep 2015 14:19:32 +0200
