=== debian/control ===
--- 
+++ 
@@ -2,8 +2,10 @@
 Section: misc
 Priority: optional
 Maintainer: Debian xTuple Maintainers <pkg-xtuple-maintainers@lists.alioth.debian.org>
-Uploaders: Daniel Pocock <daniel@pocock.pro>
-Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), libqt4-dev (>= 4.1.0), libopenrpt-dev (>= 3.3.7)
+Uploaders:
+ Andrew Shadura <andrewsh@debian.org>,
+ Daniel Pocock <daniel@pocock.pro>
+Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), libqt4-dev (>= 4.1.0), libopenrpt-dev (>= 3.3.10)
 Standards-Version: 3.9.6
 Homepage: http://www.xtuple.org/DataImportTool
 Vcs-Git: git://anonscm.debian.org/collab-maint/csvimp.git
