## csvimp 0.5.4

=== debian/changelog ===
csvimp (0.5.4-2) unstable; urgency=medium

  * Build for unstable.

 -- Daniel Pocock <daniel@pocock.pro>  Tue, 17 Jan 2017 18:10:24 +0100

csvimp (0.5.4-1) experimental; urgency=medium

  * New upstream release.

 -- Daniel Pocock <daniel@pocock.pro>  Wed, 11 Jan 2017 17:51:39 +0100
