=== debian/control ===
Source: csvimp
Section: misc
Priority: optional
Maintainer: Debian xTuple Maintainers <pkg-xtuple-maintainers@lists.alioth.debian.org>
Uploaders:
 Andrew Shadura <andrewsh@debian.org>,
 Daniel Pocock <daniel@pocock.pro>
Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), qtbase5-dev (>= 5.3.0), qttools5-dev (>= 5.3.0), qttools5-dev-tools (>= 5.3.0), libqt5xmlpatterns5-dev (>= 5.3.0), libopenrpt-dev (>= 3.3.12)
Standards-Version: 3.9.6
Homepage: http://www.xtuple.org/DataImportTool
Vcs-Git: git://anonscm.debian.org/collab-maint/csvimp.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/csvimp.git

Package: csvimp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt5sql5-psql
Description: CSV data import tool for xTuple applications
 A tool designed to import Comma Separated Value (CSV) files into the
 database for the xTuple Applications (PostBooks and OpenMFG).

Package: libcsvimp-dev
Section: libdevel
Architecture: any
Depends: qtbase5-dev (>= 5.3.0), ${misc:Depends}
Description: CSV data import tool for xTuple applications (development files)
 A tool designed to import Comma Separated Value (CSV) files into the
 database for the xTuple Applications (PostBooks and OpenMFG).
 .
 This package contains the static development library and its headers.
