=== debian/rules ===
--- 
+++ 
@@ -4,19 +4,26 @@
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
 
+export QT_SELECT=qt5
+
+export HARDCODE_APPLICATION_DIR='"/usr/lib/csvimp"'
+export USE_SHARED_OPENRPT=1
+export OPENRPT_HEADERS=/usr/include/openrpt
+export OPENRPT_LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)
+
 %:
 	dh $@ --builddirectory=. --parallel
 
 override_dh_auto_clean:
-	-rm -rf bin/* OpenRPT/Dmtx_Library
+	-rm -rf bin/*
 	-dh_auto_clean
 
-override_dh_auto_configure:
+#override_dh_auto_configure:
 	#lrelease */*/*.ts */*.ts
 #	qmake
 	# convert to use shared libs
-	find . -name '*.pro' -exec sed -i -e 's/lib\([A-Za-z]*\)\.a/lib\1.so/'  {} \;
-	dh_auto_configure
+	#find . -name '*.pro' -exec sed -i -e 's/lib\([A-Za-z]*\)\.a/lib\1.so/'  {} \;
+#	dh_auto_configure
 
 override_dh_auto_install:
 	#mv bin/graph bin/openrpt-graph
