## csvimp 0.6.2

=== debian/changelog ===
csvimp (0.6.2-1+rb1) UNRELEASED; urgency=medium

  * update

 -- Debian xTuple Maintainers <pkg-xtuple-maintainers@lists.alioth.debian.org>  Tue, 19 Jan 2021 14:15:24 +0800

csvimp (0.6.2-1) unstable; urgency=medium

  * New upstream release.

 -- Daniel Pocock <daniel@pocock.pro>  Tue, 24 Apr 2018 11:41:15 +0200
