=== debian/control ===
--- 
+++ 
@@ -5,11 +5,11 @@
 Uploaders:
  Andrew Shadura <andrewsh@debian.org>,
  Daniel Pocock <daniel@pocock.pro>
-Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), qtbase5-dev (>= 5.3.0), qttools5-dev (>= 5.3.0), qttools5-dev-tools (>= 5.3.0), libqt5xmlpatterns5-dev (>= 5.3.0), libopenrpt-dev (>= 3.3.12)
-Standards-Version: 3.9.6
+Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), qtbase5-dev (>= 5.3.0), qttools5-dev (>= 5.3.0), qttools5-dev-tools (>= 5.3.0), libqt5xmlpatterns5-dev (>= 5.3.0), libopenrpt-dev (>= 3.3.14)
+Standards-Version: 3.9.8
 Homepage: http://www.xtuple.org/DataImportTool
-Vcs-Git: git://anonscm.debian.org/collab-maint/csvimp.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/csvimp.git
+Vcs-Git: https://salsa.debian.org/xtuple-maintainers-team/csvimp.git
+Vcs-Browser: https://salsa.debian.org/xtuple-maintainers-team/csvimp
 
 Package: csvimp
 Architecture: any
